org.apache.sling.validation.impl.util

## Class ValidatorTypeUtil

- java.lang.Object
- - org.apache.sling.validation.impl.util.ValidatorTypeUtil

    public class ValidatorTypeUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ValidatorTypeUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Class<?>` `getValidatorType(org.apache.sling.validation.spi.Validator<?> validator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidatorTypeUtil

    public ValidatorTypeUtil()

### Method Detail

#### getValidatorType

    @Nonnull
    public static Class<?> getValidatorType(org.apache.sling.validation.spi.Validator<?> validator)

Parameters:
  `validator` -
Returns:
  the type parametrization value on the `Validator` interface